Skip to main content
`Ctrl`+`K`

# numpy.ma.MaskedArray.all

method

ma.MaskedArray.all(axis=None, out=None, keepdims=<no value>)

  Returns True if all elements evaluate to True.

  The output array is masked where all the values along the given axis are masked: if the output would have been a scalar and that all the values are masked, then the output is masked.

  Refer to `numpy.all` for full documentation.

  See also

  `numpy.ndarray.all`

    corresponding function for ndarrays

  `numpy.all`

    equivalent function

  Examples

      >>> import numpy as np
      >>> np.ma.array([1,2,3]).all()
      True
      >>> a = np.ma.array([1,2,3], mask=True)
      >>> (a.all() is np.ma.masked)
      True